Daemon Power

The NetBSD Packages Collection: textproc/harmony

Brief description of the package:
Reconciles disconnected updates to heterogeneous, replicated XML data

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://alliance.seas.upenn.edu/~harmony/.

The package is located in the "textproc/harmony" directory. The current source version of the package is "harmony-20060526nb13". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for textproc/harmony :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: ocaml-findlib-[0-9]* ocaml>=4.05.0 cwrappers>=20150314 pxp-[0-9]* ocaml-findlib>=1.2 camlp4>=4.05 ocamlbuild>=0.9.2 ocaml-findlib>=1.7.3 ocamlbuild>=0.11.0 ocamlnet>=4.1.2 gnutls>=3.3.0 lzo>=2.01 autogen>=5.12nb5 bash-[0-9]* perl>=5.0 guile20>=2.0 gmp>=4.2.1 libltdl>=2.4.2 libunistring>=0.9.3 boehm-gc>=7.4.2nb1 libatomic_ops>=7.4.0<2000 boehm-gc>=7.4 libffi>=1.20 readline>=2.2 gmp>=5.0.1 libltdl>=2.2.6 libunistring>=0.9.4 libffi>=3.0.11 readline>=6.0 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 guile20>=2.0.12nb1 libxml2>=2.8.0nb2 libcfg+>=0.6.2nb1 libtasn1>=4.9 libtasn1>=0.2.7 nettle>=3.1 gmp>=5.0 nettle>=2.4 libcfg+>=0.6.2nb3 libtasn1>=0.3.0 nettle>=3.1.1 pcre-ocaml>=5.10.3nb1 pcre>=3.4nb1 pcre>=8.30nb1 ocaml-zip>=1.05nb6 gnutls>=3.5.4 pcre-ocaml>=7.2.3 ocaml-zip>=1.07 ocamlnet>=4.1.4nb3 dvipsk-[0-9]* tex-dvips>=2013 kpathsea>=3.5.7 kpathsea>=6.2.1 kpathsea>=6.0.0 tex-texconfig-[0-9]* kpathsea-[0-9]* tex-bibtex-[0-9]* web2c>=2013 ptexenc>=1.3.4 cairo>=1.0.0nb2 MesaLib>=3.4.2 libXdamage>=1.0.3 Xfixes>=2.0.0 x11-links>=1.06 osabi-NetBSD-7.0.1 fixesproto>=3.0.0<5 xextproto>=7.0 inputproto>=1.4 xproto>=7.0.9 Xfixes>=2.0.1nb2 damageproto>=1.1.0 libdrm>=2.4.60 libdrm>=2.4.15 libva>=1.0.6 libvdpau>=0.3 dri2proto>=2.0 libelf>=0.8.5 libLLVM>=4.0 python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 python27>=2.7.1nb2 libLLVM>=4.0.0 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 xcb-proto>=1.12 xcb-proto>=1.4 py27-mako-[0-9]* py27-setuptools>=0.8 py27-expat-[0-9]* dri2proto>=2.1 glproto>=1.4.11 glproto>=1.4.6 xf86driproto>=2.0.3 xf86vidmodeproto>=2.3 Xrender>=0.2 renderproto>=0.9.3nb1 renderproto>=0.9 Xrender>=0.8.2 fontconfig>=2.2.95 freetype2>=2.4.5 freetype2>=2.1.3 freetype2>=2.4.11 gperf-[0-9]* fontconfig>=2.10.93 fontconfig>=2.1nb2 freetype2>=2.1.9 png>=1.2.4 pixman>=0.30.0 pixman>=0.25.2 MesaLib>=7.11.2 Xrender>=0.9.0nb1 fontconfig>=2.10.93nb2 png>=1.6.0nb1 mpfr>=2.0.3 ptexenc>=1.1.1 cairo>=1.14.2nb1 mpfr>=3.0.0.3 tex-kpathsea-[0-9]* tex-latex-bin-[0-9]* tex-latex>=2012 tex-latexconfig>=2011 tex-latex-fonts-[0-9]* tex-luatex-[0-9]* luatex>=0.60.1 zziplib>=0.10.82 zziplib>=0.13.56 tex-etex-[0-9]* tex-plain-[0-9]* tex-amsfonts-[0-9]* tex-tetex>=3.0.25424 dialog>=1.0 tex-kpathsea>=2012nb1 tex-texconfig>=2013 tex-texlive.infra-[0-9]* tex-cm-[0-9]* tex-hyphen-base-[0-9]* tex-knuth-lib-[0-9]* tex-tex-ini-files-[0-9]* tex-pdftex-[0-9]* tex-dvips-[0-9]* tex-updmap-map-[0-9]* web2c-[0-9]* tex-tetex>=3.0.27774 tex-plain>=3.14159265.12854 tex-unicode-data-[0-9]* tex-preprint-[0-9]* tex-psnfss-[0-9]* tex-avantgar-[0-9]* tex-bookman-[0-9]* tex-charter-[0-9]* tex-courier-[0-9]* tex-fpl-[0-9]* tex-graphics-[0-9]* tex-graphics-cfg-[0-9]* tex-graphics-def-[0-9]* tex-helvetic-[0-9]* tex-mathpazo-[0-9]* tex-ncntrsbk-[0-9]* tex-palatino-[0-9]* tex-symbol-[0-9]* tex-times-[0-9]* tex-zapfchan-[0-9]* tex-zapfding-[0-9]* .

This package requires the following package(s) to run: ocaml-findlib-[0-9]* ocaml>=4.05.0 pxp-[0-9]* ocaml-findlib>=1.2 camlp4>=4.05 ocamlnet>=4.1.2 gnutls>=3.3.0 lzo>=2.01 autogen>=5.12nb5 bash-[0-9]* perl>=5.0 guile20>=2.0 gmp>=4.2.1 libltdl>=2.4.2 libunistring>=0.9.3 boehm-gc>=7.4.2nb1 libatomic_ops>=7.4.0<2000 boehm-gc>=7.4 libffi>=1.20 readline>=2.2 gmp>=5.0.1 libltdl>=2.2.6 libunistring>=0.9.4 libffi>=3.0.11 readline>=6.0 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 guile20>=2.0.12nb1 libxml2>=2.8.0nb2 libcfg+>=0.6.2nb1 libtasn1>=4.9 libtasn1>=0.2.7 nettle>=3.1 gmp>=5.0 nettle>=2.4 libcfg+>=0.6.2nb3 libtasn1>=0.3.0 nettle>=3.1.1 pcre-ocaml>=5.10.3nb1 pcre>=3.4nb1 ocaml-findlib>=1.7.3 pcre>=8.30nb1 ocaml-zip>=1.05nb6 gnutls>=3.5.4 pcre-ocaml>=7.2.3 ocaml-zip>=1.07 ocamlnet>=4.1.4nb3 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
i386:harmony-20060526nb10.tgz(NetBSD 6.0)
i386:harmony-20060526nb11.tgz(NetBSD 6.0)
i386:harmony-20060526nb10.tgz(NetBSD 7.0)
i386:harmony-20060526nb10.tgz(NetBSD 7.0)
i386:harmony-20060526nb11.tgz(NetBSD 7.0)
i386:harmony-20060526nb11.tgz(NetBSD 7.0)
x86_64:harmony-20060526nb10.tgz(NetBSD 6.0)
x86_64:harmony-20060526nb11.tgz(NetBSD 6.0)
x86_64:harmony-20060526nb11.tgz(NetBSD 6.0)
x86_64:harmony-20060526nb10.tgz(NetBSD 6.1)
x86_64:harmony-20060526nb10.tgz(NetBSD 6.1)
x86_64:harmony-20060526nb11.tgz(NetBSD 6.1)
x86_64:harmony-20060526nb13.tgz(NetBSD 7.0)
x86_64:harmony-20060526nb10.tgz(NetBSD 7.0)
x86_64:harmony-20060526nb10.tgz(NetBSD 7.0)
x86_64:harmony-20060526nb11.tgz(NetBSD 7.0)
x86_64:harmony-20060526nb11.tgz(NetBSD 7.0)
x86_64:harmony-20060526nb11.tgz(NetBSD 7.0.1_PATCH)
x86_64:harmony-20060526nb11.tgz(NetBSD 8.99.1)
x86_64:harmony-20060526nb12.tgz(NetBSD 8.99.1)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]